AddOns not working correctly - Errors and Warnings in Console

Hey,
since a few days I have problems with my add.ons. For example Animation Nodes and Cloth-Modeling.
When starting Blender I got allready these Warnings in the Console:

Read prefs: C:\Users\USER\AppData\Roaming\Blender Foundation\Blender\2.80\config\userpref.blend
found bundled python: E:\00 Software\blender-2.80-749d53effd58-win64\blender-2.80.0-git.749d53effd58-windows64\2.80\python
register_class(...):
Warning: 'an_combine_list_menu_extended' doesn't contain '_MT_' with prefix & suffix
register_class(...):
Warning: 'an_tree_panel' doesn't contain '_PT_' with prefix & suffix
register_class(...):
Warning: 'an_animation_menu' doesn't contain '_MT_' with prefix & suffix
register_class(...):
Warning: 'an_interpolation_menu' doesn't contain '_MT_' with prefix & suffix
register_class(...):
Warning: 'an_mesh_generators_menu' doesn't contain '_MT_' with prefix & suffix
register_class(...):
Warning: 'an_falloff_menu' doesn't contain '_MT_' with prefix & suffix
register_class(...):
Warning: 'an_material_menu' doesn't contain '_MT_' with prefix & suffix
register_class(...):
Warning: 'an_particle_system_menu' doesn't contain '_MT_' with prefix & suffix
register_class(...):
Warning: 'an_sound_menu' doesn't contain '_MT_' with prefix & suffix
register_class(...):
Warning: 'an_vector_menu' doesn't contain '_MT_' with prefix & suffix
register_class(...):
Warning: 'an_node_settings_panel' doesn't contain '_PT_' with prefix & suffix
register_class(...):
Warning: 'an_color_menu' doesn't contain '_MT_' with prefix & suffix
register_class(...):
Warning: 'an_list_menu' doesn't contain '_MT_' with prefix & suffix
register_class(...):
Warning: 'an_developer_panel' doesn't contain '_PT_' with prefix & suffix
register_class(...):
Warning: 'an_kdtree_bvhtree_menu' doesn't contain '_MT_' with prefix & suffix
register_class(...):
Warning: 'an_templates_menu_in_header' doesn't contain '_HT_' with prefix & suffix
register_class(...):
Warning: 'an_mesh_menu' doesn't contain '_MT_' with prefix & suffix
register_class(...):
Warning: 'an_viewer_menu' doesn't contain '_MT_' with prefix & suffix
register_class(...):
Warning: 'an_subprograms_menu' doesn't contain '_MT_' with prefix & suffix
register_class(...):
Warning: 'an_mesh_finalizing_menu' doesn't contain '_MT_' with prefix & suffix
register_class(...):
Warning: 'an_auto_execution_panel' doesn't contain '_PT_' with prefix & suffix
register_class(...):
Warning: 'an_create_list_menu' doesn't contain '_MT_' with prefix & suffix
register_class(...):
Warning: 'an_matrix_menu' doesn't contain '_MT_' with prefix & suffix
register_class(...):
Warning: 'an_mesh_operators_menu' doesn't contain '_MT_' with prefix & suffix
register_class(...):
Warning: 'an_object_menu' doesn't contain '_MT_' with prefix & suffix
register_class(...):
Warning: 'an_viewport_input_panel' doesn't contain '_PT_' with prefix & suffix
register_class(...):
Warning: 'an_create_list_menu_extended' doesn't contain '_MT_' with prefix & suffix
register_class(...):
Warning: 'an_spline_menu' doesn't contain '_MT_' with prefix & suffix
register_class(...):
Warning: 'an_object_utils_menu' doesn't contain '_MT_' with prefix & suffix
register_class(...):
Warning: 'an_layout_menu' doesn't contain '_MT_' with prefix & suffix
register_class(...):
Warning: 'an_sequence_menu' doesn't contain '_MT_' with prefix & suffix
register_class(...):
Warning: 'an_SocketUiList_Normal' doesn't contain '_UL_' with prefix & suffix
register_class(...):
Warning: 'an.context_pie' doesn't contain '_MT_' with prefix & suffix
register_class(...):
Warning: 'an_number_menu' doesn't contain '_MT_' with prefix & suffix
register_class(...):
Warning: 'an_text_menu' doesn't contain '_MT_' with prefix & suffix
register_class(...):
Warning: 'an_fcurve_menu' doesn't contain '_MT_' with prefix & suffix
register_class(...):
Warning: 'an_id_keys_panel' doesn't contain '_PT_' with prefix & suffix
register_class(...):
Warning: 'an_overview_panel' doesn't contain '_PT_' with prefix & suffix
register_class(...):
Warning: 'an_problems_panel' doesn't contain '_PT_' with prefix & suffix
register_class(...):
Warning: 'an_combine_list_menu' doesn't contain '_MT_' with prefix & suffix
register_class(...):
Warning: 'an.selection_pie' doesn't contain '_MT_' with prefix & suffix
register_class(...):
Warning: 'an_geometry_menu' doesn't contain '_MT_' with prefix & suffix
register_class(...):
Warning: 'an_boolean_menu' doesn't contain '_MT_' with prefix & suffix
register_class(...):
Warning: 'an_rotation_menu' doesn't contain '_MT_' with prefix & suffix
Registered Animation Nodes

In Animation Nodes the auto Execution doesn’t work anymore:

Traceback (most recent call last):
  File "C:\Users\USER\AppData\Roaming\Blender Foundation\Blender\2.80\scripts\addons\animation_nodes\utils\handlers.py", line 44, in always
    handler()
  File "C:\Users\USER\AppData\Roaming\Blender Foundation\Blender\2.80\scripts\addons\animation_nodes\events.py", line 36, in sceneUpdated
    evaluateRaisedEvents()
  File "C:\Users\USER\AppData\Roaming\Blender Foundation\Blender\2.80\scripts\addons\animation_nodes\events.py", line 44, in evaluateRaisedEvents
    event_handler.update(event.getActives())
  File "C:\Users\USER\AppData\Roaming\Blender Foundation\Blender\2.80\scripts\addons\animation_nodes\utils\recursion.py", line 12, in wrapper
    result = function(*args, **kwargs)
  File "C:\Users\USER\AppData\Roaming\Blender Foundation\Blender\2.80\scripts\addons\animation_nodes\event_handler.py", line 24, in update
    afterExecution()
  File "C:\Users\USER\AppData\Roaming\Blender Foundation\Blender\2.80\scripts\addons\animation_nodes\execution\auto_execution.py", line 19, in afterExecution
    scene.update()
AttributeError: 'Scene' object has no attribute 'update'

I use the lates build of Blender 2.80 and Anmation Nodes.
Can anybody help me with these Errors?

I gues, all the Errors appered when installing this add-on: https://github.com/jesterKing/import_3dm
Therefore I had to install Python to my system and install a package via pip. In my opinion everything is mixed up now.

There were recent changes to the add-on API and it looks like your add-ons have not yet been updated to reflect those changes. You will need new versions that work with the final 2.80 add-on API.

Is it possible to download an older version of Blender 2.80 so I could test it?
Does it make sense?

Older beta versions are not archived, unless you saved an earlier download or maybe can find one on Graphicall that’s a few weeks old https://blender.community/c/graphicall/

1 Like

Its kind if weird, Node Wrangler doesnt have any of the new prefix or suffix in the classes, yet it works with no errors?